Function
writeRecord
Write one FASTA or FASTQ record.
int writeRecord(stream, id, seq, tag[, options])
int writeRecord(stream, id, seq, quals, tag[, options])
Include Headers
seqan/seq_io.h
Parameters

stream | The stream to write to. Types: StreamConcept
id | ID/Meta information line to write out. Types: SequenceConcept
seq | Sequence to write out. Types: SequenceConcept
quals | ASCII quality characters to write out. Types: SequenceConcept
tag | The format selector. Types: Fasta, Fastq
options | if not supplied defaults are chosen. Types: SequenceOutputOptions

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57